Subject: AS3 Discusion - Section 4 - Structure of AS3 Message

From: "Terry Harding" <[email-masked]>
Date: Fri, 21 Oct 2005 11:09:43 -0700

Open for discussion

4.  Structure of an AS3 message

4.1 Introduction 

   The basic structure of AS3 messages comprises MIME encapsulated data
   with both customary MIME headers and a few additional AS3-specific
outer
   headers. The structures below are described hierarchically in terms
of
   which RFCs have been applied to form the specific structure.  The
reader
   is referred directly to the referenced RFCs for implementation
details.
   Any additional restrictions imposed by this AS are specifically
discussed
   in the sections which follow.

4.2   Structure of an Internet EDI MIME message

   No encryption, no signature 
   
     -RFC822/2045
       -RFC1767/RFC2376 (application/EDIxxxx or /xml)

Harding, Scott                                                 [Page 9]

INTERNET DRAFT       FTP Transport Data for EDIINT           April 2005

   No encryption, signature
   
     -RFC822/2045
       -RFC1847 (multipart/signed)
         -RFC1767/RFC2376 (application/EDIxxxx or /xml)
         -RFC2633 (application/pkcs7-signature)

   Encryption, no signature

     -RFC822/2045
       -RFC2633 (application/pkcs7-mime)
         -RFC1767/RFC2376  (application/EDIxxxx or /xml)(encrypted)

   Encryption, signature

     -RFC822/2045
       -RFC2633 (application/pkcs7-mime)
         -RFC1847 (multipart/signed)(encrypted)
           -RFC1767/RFC2376  (application/EDIxxxx or /xml)(encrypted)
           -RFC2633 (application/pkcs7-signature)(encrypted)

   MDN, no signature

     -RFC822/2045
       -RFC2298 (message/disposition-notification)

   MDN, signature

     -RFC822/2045
       -RFC1847 (multipart/signed)
         -RFC2298 (message/disposition-notification)
         -RFC2633 (application/pkcs7-signature)

   While all MIME content types SHOULD be supported. 
   The following MIME content types MUST be supported:

     Content-type: multipart/signed
     Content-Type: multipart/report
     Content-type: message/disposition-notification
     Content-Type: application/PKCS7-signature
     Content-Type: application/PKCS7-mime
     Content-Type: application/EDI-X12
     Content-Type: application/EDIFACT
     Content-Type: application/edi-consent
     Content-Type: application/XML
*****************************************************

Terry Harding
Cyclone Commerce Inc.